﻿using System;

namespace ChainOfCommandSample
{
    /// <summary>
    /// Attribute used to identify event publishers.
    /// </summary>
    [AttributeUsage(AttributeTargets.Event)]
    public class EventPublisherAttribute : Attribute
    {
        private readonly string _eventName;

        /// <summary>
        /// Initializes a new instance of the <see cref="EventPublisherAttribute"/> class.
        /// </summary>
        /// <param name="eventName">Name of the event.</param>
        public EventPublisherAttribute(string eventName)
        {
            _eventName = eventName;
        }

        /// <summary>
        /// Gets the name of the event.
        /// </summary>
        /// <value>The name of the event.</value>
        public string EventName
        {
            get { return _eventName; }
        }
    }
}