﻿using System;

namespace ChainOfCommandSample
{
    /// <summary>
    /// Attribute used to identify event subscribers.
    /// </summary>
    [AttributeUsage(AttributeTargets.Method)]
    public class EventSubscriberAttribute : Attribute
    {
        private readonly string _eventName;

        /// <summary>
        /// Initializes a new instance of the <see cref="EventSubscriberAttribute"/> class.
        /// </summary>
        /// <param name="eventName">Name of the event.</param>
        public EventSubscriberAttribute(string eventName)
        {
            _eventName = eventName;
        }

        /// <summary>
        /// Gets the name of the event.
        /// </summary>
        /// <value>The name of the event.</value>
        public string EventName
        {
            get { return _eventName; }
        }
    }
}