﻿namespace ChainOfCommandSample
{
    /// <summary>
    /// Abstract base class for commands.
    /// </summary>
    public abstract class Command
    {
        /// <summary>
        /// Executes this instance.
        /// </summary>
        public abstract void Execute();

        /// <summary>
        /// Gets the priority.  A lower value indicates higher priority.
        /// </summary>
        /// <value>The priority.</value>
        public abstract int Priority { get; }
    }
}