﻿using System;

namespace ChainOfCommandSample
{
    /// <summary>
    /// Simple command just for demonstration purposes.
    /// </summary>
    public class DoSomethingWithKeyCommand : Command
    {
        private Guid _key;

        /// <summary>
        /// Executes this instance.
        /// </summary>
        public override void Execute()
        {
            Console.Out.WriteLine("From DoSomethingWithKeyCommand: {0}", _key);
        }

        /// <summary>
        /// Gets the priority.  A lower value indicates higher priority.
        /// </summary>
        /// <value>The priority.</value>
        public override int Priority
        {
            get { return 100; }
        }

        [EventSubscriber(EventNames.KeyGenerated)]
        private void HandleKeyGenerated(object sender, EventArgs<Guid> e)
        {
            _key = e.Data;
        }
    }
}