﻿using System;

namespace ChainOfCommandSample
{
    /// <summary>
    /// Generic event argument class.
    /// </summary>
    public class EventArgs<T> : EventArgs
    {
        private readonly T _data;

        /// <summary>
        /// Initializes a new instance of the <see cref="EventArgs&lt;T&gt;"/> class.
        /// </summary>
        /// <param name="data">The data.</param>
        public EventArgs(T data)
        {
            _data = data;
        }

        /// <summary>
        /// Gets the data.
        /// </summary>
        /// <value>The data.</value>
        public T Data
        {
            get { return _data; }
        }
    }
}